Neptune(3)

NAME
Neptune -

  Functions
double LIBNOVA_EXPORT ln_get_neptune_sdiam (double JD)
Calculate the semidiameter of Neptune in arc seconds.
int LIBNOVA_EXPORT ln_get_neptune_rst (double JD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)
Calculate the time of rise, set and transit for Neptune.
void LIBNOVA_EXPORT ln_get_neptune_helio_coords (double JD, struct ln_helio_posn *position)
Calculate Neptune's heliocentric coordinates.
void LIBNOVA_EXPORT ln_get_neptune_equ_coords (double JD, struct ln_equ_posn *position)
Calculate Neptune's equatorial coordinates.
double LIBNOVA_EXPORT ln_get_neptune_earth_dist (double JD)
Calculate the distance between Neptune and the Earth.
double LIBNOVA_EXPORT ln_get_neptune_solar_dist (double JD)
Calculate the distance between Neptune and the Sun.
double LIBNOVA_EXPORT ln_get_neptune_magnitude (double JD)
Calculate the visible magnitude of Neptune.
double LIBNOVA_EXPORT ln_get_neptune_disk (double JD)
Calculate the illuminated fraction of Neptune's disk.
double LIBNOVA_EXPORT ln_get_neptune_phase (double JD)
Calculate the phase angle of Neptune.
void LIBNOVA_EXPORT ln_get_neptune_rect_helio (double JD, struct ln_rect_posn *position)
Calculate Neptunes rectangular heliocentric coordinates.

Detailed Description

Functions relating to the planet Neptune.

All angles are expressed in degrees.

Function Documentation

  double ln_get_neptune_disk (doubleJD)

Calculate the illuminated fraction of Neptune's disk.

Returns:
    Illuminated fraction of Neptune's disk.

Parameters:
    JD Julian day

Returns:
    Illuminated fraction of Neptune's disk

Calculate the illuminated fraction of Neptune's disk for the given Julian day.

References ln_get_earth_solar_dist(), ln_get_neptune_earth_dist(), ln_get_neptune_solar_dist(), and ln_helio_posn::R.

  double ln_get_neptune_earth_dist (doubleJD)

Calculate the distance between Neptune and the Earth. Calculate the distance between Neptune and the Earth in AU.

Returns:
    Distance in AU

Parameters:
    JD Julian day

Returns:
    Distance in AU

Calculates the distance in AU between the Earth and Neptune for the given julian day.

References ln_get_earth_helio_coords(), ln_get_neptune_helio_coords(), ln_get_rect_from_helio(), ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_neptune_disk(), ln_get_neptune_magnitude(), ln_get_neptune_phase(), and ln_get_neptune_sdiam().

  void ln_get_neptune_equ_coords (doubleJD, struct ln_equ_posn *position)

Calculate Neptune's equatorial coordinates.

Parameters:
    JD julian Day
    position Pointer to store position

Calculates Neptune's equatorial position for given julian day. This function includes calculations for planetary aberration and refers to the FK5 reference frame.

To get the complete equatorial coordinates, corrections for nutation have to be applied.

The position returned is accurate to within 0.1 arcsecs.

References ln_equ_posn::dec, ln_get_neptune_helio_coords(), ln_get_rect_from_helio(), ln_get_solar_geom_coords(), ln_rad_to_deg(), ln_range_degrees(), ln_equ_posn::ra, ln_rect_posn::X, ln_rect_posn::Y, and ln_rect_posn::Z.

Referenced by ln_get_neptune_rst().

  void ln_get_neptune_helio_coords (doubleJD, struct ln_helio_posn *position)

Calculate Neptune's heliocentric coordinates.

Parameters:
    JD Julian Day
    position Pointer to store heliocentric position

Calculate Neptunes heliocentric (refered to the centre of the Sun) coordinates in the FK5 reference frame for the given julian day. Longitude and Latitude are in degrees, whilst radius vector is in AU.

References ln_helio_posn::B, ln_helio_posn::L, ln_rad_to_deg(), ln_range_degrees(), ln_vsop87_to_fk5(), and ln_helio_posn::R.

Referenced by ln_get_neptune_earth_dist(), ln_get_neptune_equ_coords(), ln_get_neptune_rect_helio(), and ln_get_neptune_solar_dist().

  double ln_get_neptune_magnitude (doubleJD)

Calculate the visible magnitude of Neptune.

Returns:
    Visible magnitude of Neptune.

Parameters:
    JD Julian day

Returns:
    Visible magnitude of neptune

Calculate the visible magnitude of Neptune for the given julian day.

References ln_get_neptune_earth_dist(), and ln_get_neptune_solar_dist().

  double ln_get_neptune_phase (doubleJD)

Calculate the phase angle of Neptune.

Returns:
    Phase angle of Neptune (degrees)

Parameters:
    JD Julian day

Returns:
    Phase angle of Neptune (degrees)

Calculates the phase angle of Neptune, that is, the angle Sun - Neptune - Earth for the given Julian day.

References ln_get_earth_solar_dist(), ln_get_neptune_earth_dist(), ln_get_neptune_solar_dist(), ln_rad_to_deg(), and ln_helio_posn::R.

  void ln_get_neptune_rect_helio (doubleJD, struct ln_rect_posn *position)

Calculate Neptunes rectangular heliocentric coordinates.

Parameters:
    JD Julian day.
    position pointer to return position

Calculate Neptunes rectangular heliocentric coordinates for the given Julian day. Coordinates are in AU.

References ln_get_neptune_helio_coords(), and ln_get_rect_from_helio().

  double ln_get_neptune_rst (doubleJD, struct ln_lnlat_posn *observer, struct ln_rst_time *rst)

Calculate the time of rise, set and transit for Neptune.

Parameters:
    JD Julian day
    observer Observers position
    rst Pointer to store Rise, Set and Transit time in JD

Returns:
    0 for success, else 1 for circumpolar.

Calculate the time the rise, set and transit (crosses the local meridian at upper culmination) time of Neptune for the given Julian day.

Note: this functions returns 1 if Neptune is circumpolar, that is it remains the whole day either above or below the horizon.

References ln_get_body_rst_horizon(), and ln_get_neptune_equ_coords().

  double ln_get_neptune_sdiam (doubleJD)

Calculate the semidiameter of Neptune in arc seconds.

Parameters:
    JD Julian day

Returns:
    Semidiameter in arc seconds

Calculate the semidiameter of Neptune in arc seconds for the given julian day.

References ln_get_neptune_earth_dist().

  double ln_get_neptune_solar_dist (doubleJD)

Calculate the distance between Neptune and the Sun. Calculate the distance between Neptune and the Sun in AU.

Returns:
    Distance in AU

Parameters:
    JD Julian day

Returns:
    distance in AU

Calculates the distance in AU between the Sun and Neptune for the given julian day.

References ln_get_neptune_helio_coords(), and ln_helio_posn::R.

Referenced by ln_get_neptune_disk(), ln_get_neptune_magnitude(), and ln_get_neptune_phase().

Author

Generated automatically by Doxygen for libnova from the source code.